package com.jan.game;

import com.badlogic.gdx.physics.box2d.Box2D;
import com.jan.Collision.CollisionEvent;
import com.jan.scene.Scene;

public class SceneManager {
    private static Scene currScene;

    public static void initialize(){
        Display.initialize();
		Box2D.init();
    }

    public static void loadScene(String scene){
        currScene = new Scene(scene);
    }

    public static void fireEvent(CollisionEvent event){
        currScene.fireEvent(event);
    }

    public static void updateScene(){
        currScene.render();
    }

    public static Scene getScene(){
        return currScene;
    }
}
